org.eclipse.rdf4j.queryrender.sparql

## Class ContextCollector

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<Exception>
  - - org.eclipse.rdf4j.queryrender.sparql.ContextCollector

- All Implemented Interfaces:
    QueryModelVisitor<Exception>

      public class ContextCollector
      extends AbstractQueryModelVisitor<Exception>

  Visitor implementation for the query algebra which walks the tree and figures out the context for nodes in the algebra. The context for a node is set on the highest node in the tree. That is, everything below it shares the same context.

  Author:
    Blazej Bulka

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `meet(Difference theOp)`
    `void` | `meet(Filter theFilter)`
    `void` | `meet(Intersection theOp)`
    `void` | `meet(Join theJoin)`
    `void` | `meet(LeftJoin theJoin)`
    `void` | `meet(StatementPattern thePattern)`
    `void` | `meet(Union theOp)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### meet

          public void meet(Join theJoin)
                    throws Exception

      Specified by:
        `meet` in interface `QueryModelVisitor<Exception>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<Exception>`
      Throws:
        `Exception`

    - #### meet

          public void meet(LeftJoin theJoin)
                    throws Exception

      Specified by:
        `meet` in interface `QueryModelVisitor<Exception>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<Exception>`
      Throws:
        `Exception`

    - #### meet

          public void meet(Union theOp)
                    throws Exception

      Specified by:
        `meet` in interface `QueryModelVisitor<Exception>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<Exception>`
      Throws:
        `Exception`

    - #### meet

          public void meet(Difference theOp)
                    throws Exception

      Specified by:
        `meet` in interface `QueryModelVisitor<Exception>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<Exception>`
      Throws:
        `Exception`

    - #### meet

          public void meet(Intersection theOp)
                    throws Exception

      Specified by:
        `meet` in interface `QueryModelVisitor<Exception>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<Exception>`
      Throws:
        `Exception`

    - #### meet

          public void meet(Filter theFilter)
                    throws Exception

      Specified by:
        `meet` in interface `QueryModelVisitor<Exception>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<Exception>`
      Throws:
        `Exception`

    - #### meet

          public void meet(StatementPattern thePattern)
                    throws Exception

      Specified by:
        `meet` in interface `QueryModelVisitor<Exception>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<Exception>`
      Throws:
        `Exception`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.